Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class EntityBeanMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.EntityBeanMethodChecker

Direct Known Subclasses:
  BeanManagedMethodChecker, ContainerManagedMethodChecker

public class EntityBeanMethodChecker
extends BeanMethodChecker

Root class for entity bean method checks.

Author:
  Rick Giles

Constructor Summary
`EntityBeanMethodChecker(EntityBeanCheck aCheck)` Constructs a EntityBeanMethodChecker for a bean check.

Method Summary
`protected void` | `checkCreateMatch()` Checks that every ejbCreate method has a matching ejbPostCreate method.
`protected void` | `checkCreateMethod(DetailAST aMethodAST)` Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.
`protected void` | `checkHomeMethod(DetailAST aMethodAST)` Checks whether an ejbHome<METHOD>(...) method of an entity bean satisfies requirements.
`void` | `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.
`void` | `checkMethods(DetailAST aAST)` Checks that the methods of a component satisfy requirements.
`protected void` | `checkPostCreateMethod(DetailAST aMethodAST)` Checks whether an ejbPostCreate<METHOD>(...) method of an entity bean satisfies requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBeanMethodChecker

    public EntityBeanMethodChecker(EntityBeanCheck aCheck)

  Constructs a EntityBeanMethodChecker for a bean check.

Parameters:
  `aCheck` - the bean check.

Method Detail

### checkMethods

    public void checkMethods(DetailAST aAST)

  Description copied from class: `MethodChecker`
  Checks that the methods of a component satisfy requirements.

  Overrides:
    `checkMethods` in class `MethodChecker`
  Parameters:
    `aAST` - the AST for the component definition.
  See Also:
    `MethodChecker`

### checkCreateMatch

    protected void checkCreateMatch()

  Checks that every ejbCreate method has a matching ejbPostCreate method.

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Description copied from class: `MethodChecker`
  Checks whether a method satisfies component requirements.

  Overrides:
    `checkMethod` in class `BeanMethodChecker`
  See Also:
    `MethodChecker`

### checkCreateMethod

    protected void checkCreateMethod(DetailAST aMethodAST)

  Description copied from class: `BeanMethodChecker`
  Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.

  Overrides:
    `checkCreateMethod` in class `BeanMethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.
  See Also:
    `BeanMethodChecker`

### checkHomeMethod

    protected void checkHomeMethod(DetailAST aMethodAST)

  Checks whether an ejbHome<METHOD>(...) method of an entity bean satisfies requirements.

  Parameters:
    `aMethodAST` - the AST for the method definition.

### checkPostCreateMethod

    protected void checkPostCreateMethod(DetailAST aMethodAST)

  Checks whether an ejbPostCreate<METHOD>(...) method of an entity bean satisfies requirements.

  Parameters:
    `aMethodAST` - the AST for the method definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD